package migrations

import (
	"context"
	"fmt"

	"fr.latosa-escrima/core/models"
	"github.com/uptrace/bun"
)

func init() {
	Migrations.MustRegister(func(ctx context.Context, db *bun.DB) error {
		fmt.Print(" [up migration] ")
		_, err := db.NewDropColumn().
			Model((*models.Blog)(nil)).
			Column("href").
			Exec(ctx)
		_, err = db.Exec(`ALTER TABLE blogs RENAME COLUMN label TO title;
		ALTER TABLE blogs ALTER COLUMN title SET NOT NULL;`)
		return err
	}, func(ctx context.Context, db *bun.DB) error {
		fmt.Print(" [down migration] ")
		return nil
	})
}
